1.3.1 is Here, But Do Not Update!

1.3.1 is finally here, however bukkit still has not been updated as well as all of our mods so do not update, if you do, you cannot play unless you have a jar file from 1.2.5!

Comments are closed.